package org.jboss.security.srp;

package .tmp;

import java.math.BigInteger;
import org.jboss.security.Util;
import org.jboss.security.srp.SRPConf;

public class SRPParams {
  String modb64;
  
  String genb64;
  
  String comment;
  
  BigInteger N;
  
  BigInteger g;
  
  SRPParams(String modb64, String genb64, String comment) {
    this.modb64 = modb64;
    this.genb64 = genb64;
    this.comment = comment;
  }
  
  public byte[] Nbytes() {
    return Util.fromb64(this.modb64);
  }
  
  public byte[] gbytes() {
    return Util.fromb64(this.genb64);
  }
  
  public BigInteger N() {
    if (this.N == null)
      this.N = new BigInteger(1, Util.fromb64(this.modb64)); 
    return this.N;
  }
  
  public BigInteger g() {
    if (this.g == null)
      this.g = new BigInteger(1, Util.fromb64(this.genb64)); 
    return this.g;
  }
  
  public String getComment() {
    return this.comment;
  }
}
